Ask for the SMS again
POST
/providers/herosms/resend
const url = 'https://api.clearance.rest/numbers/providers/herosms/resend';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"sid":"c1aaeac1-ec52-44e2-b00a-d1350fb6bee6"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.clearance.rest/numbers/providers/herosms/resend \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "sid": "c1aaeac1-ec52-44e2-b00a-d1350fb6bee6" }'Asks Hero SMS to send the SMS for an activation again.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
sid
required
The sid of a Hero SMS number from GET /list.
string
Example
{ "sid": "c1aaeac1-ec52-44e2-b00a-d1350fb6bee6"}Responses
Section titled “Responses”Requested.
Media typeapplication/json
object
success
required
boolean
Example
{ "success": true}sid is missing.
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "invalid json body"}The X-API-Key header is missing or invalid.
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "geçersiz API anahtarı"}The number does not belong to your project, or is not a Hero SMS number.
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "invalid json body"}Hero SMS rejected the request.
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "invalid json body"}